#!/usr/bin/env python
# -*-python-*-

import optparse
from pocketMMap import pocketMMap

parser = optparse.OptionParser()
parser.add_option("-b", "--bbox", dest="bbox", help="The bounding box to render as a pocketMMap", default='45.482882,-73.619899,45.532687,-73.547801')
parser.add_option("-p", "--provider", dest="provider", help="The name of the map provider to fetch tiles from", default='OPEN_STREET_MAP')
parser.add_option("-z", "--zoom", dest="zoom", help="The zoom level to fetch tiles at", default=15)
parser.add_option("-o", "--out", dest="out", help="The path where the PDF file should be created")
parser.add_option("-H", "--height", dest="height", help="Page height (in inches)", default=11)
parser.add_option("-w", "--width", dest="width", help="Page width (in inches)", default=8.5)
parser.add_option("-m", "--margin", dest="margin", help="Page margin (in inches)", default=.25)

(opts, args) = parser.parse_args()
    
bbox = map(lambda x: float(x), opts.bbox.split(','))

pm = pocketMMap(opts.width, opts.height, opts.margin)
pm.load_provider(opts.provider)
pm.draw(bbox, opts.zoom)
pm.save(opts.out)
