# $Id: setup.py,v 1.11 2008/11/25 17:08:01 asc Exp $

# http://peak.telecommunity.com/DevCenter/setuptools
# http://ianbicking.org/docs/setuptools-presentation/

try:
    from setuptools import setup, find_packages
except:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

readme = file('README','rb').read()

local__name = 'pocketMMap'
local__version = '0.3'
local__url = 'http://www.aaronland.info/python/%s' % local__name
local__download = '%s/%s-%s.tar.gz' % (local__url, local__name, local__version)

setup(
    name = local__name,
    version = local__version,

    packages=find_packages(exclude=["*.tests", "*.tests.*", "tests.*", "tests"]),
    exclude_package_data={'':["examples", "README", "ez_setup*"]},

    # TO DO: proper packages for ModestMaps...
    install_requires = ['pycairo', 'reportlab', 'PIL', 'BeautifulSoup>=3.0', 'pocketindex>=0.1', 'pocketmod>=0.2'],
    dependency_links = ['http://www.pythonware.com/products/pil/', 'http://www.aaronland.info/python/packageindex/'],

    author = "Aaron Straup Cope",
    author_email = "aaron@aaronland.net",
    description = "packages to create PocketMod-style  books for a map image too large to fit on a single page.",
    long_description=readme,
    
    license = "BSD",
    keywords = "maps modestmaps papernet pdf pocketmap print",
    url = local__url,
    download_url = local__download,
    
    # Uncomment when you need to sanity check the
    # stuff that actually gets installed...
    zip_safe=False    
    )
